# Poco

# template < class Base >

# class AbstractInstantiator

Library: Foundation
Package: Core
Header: Poco/Instantiator.h

## Description

The common base class for all Instantiator instantiations. Used by DynamicFactory.

## Member Summary

Member Functions: createInstance

## Constructors

### AbstractInstantiator

AbstractInstantiator();

Creates the AbstractInstantiator.

## Destructor

### ~AbstractInstantiator

virtual ~AbstractInstantiator();

Destroys the AbstractInstantiator.

## Member Functions

### createInstance

virtual Base * createInstance() const = 0;

Creates an instance of a concrete subclass of Base.